- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- EffectiveFirewallPolicy
- Type
- Try it!
Returns the effective firewalls on a given network.
HTTP request
GET https://compute.s3nsapis.fr/compute/v1/projects/{project}/global/networks/{network}/getEffectiveFirewalls The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
network |
Name of the network for this request. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "firewalls": [ { object ( |
| Fields | |
|---|---|
firewalls[] |
Effective firewalls on the network. |
firewallPolicys[] |
Output only. Effective firewalls from firewall policy. It returns Global Network Firewall Policies and Hierarchical Firewall Policies. Use
to get Regional Network Firewall Policies as well. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.networks.getEffectiveFirewalls
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.
EffectiveFirewallPolicy
| JSON representation |
|---|
{ "name": string, "type": enum ( |
| Fields | |
|---|---|
name |
Output only. The name of the firewall policy. |
type |
Output only. The type of the firewall policy. |
shortName |
Output only. The short name of the firewall policy. |
displayName |
Output only. Deprecated, please use short name instead. The display name of the firewall policy. |
rules[] |
Output only. The rules that apply to the network. |
packetMirroringRules[] |
Output only. The packet mirroring rules that apply to the network. |
priority |
Output only. Priority of firewall policy association. Not applicable for type=HIERARCHY. |
Type
| Enums | |
|---|---|
UNSPECIFIED |
|
HIERARCHY |
|
NETWORK |
|
SYSTEM |
|